﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
      using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Core.Items;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Components.Auth;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Economy;
    using Eco.Gameplay.Housing;
    using Eco.Gameplay.Interactions;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Modules;
    using Eco.Gameplay.Minimap;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Property;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Gameplay.Pipes.LiquidComponents;
    using Eco.Gameplay.Pipes.Gases;
    using Eco.Gameplay.Systems.Tooltip;
    using Eco.Shared;
    using Eco.Shared.Math;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Shared.Items;
    using Eco.Gameplay.Pipes;
    using Eco.World.Blocks;
    
    [Serialized]
	[RequireComponent(typeof(PropertyAuthComponent))] 
    public partial class Wb1x2Object : 
        WorldObject,
        IRepresentsItem		
    {
        public override LocString DisplayName { get { return Localizer.DoStr("Wooden Bracers 1x2"); } } 
		public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;


        public virtual Type RepresentedItemType { get { return typeof(Wb1x2Item); } } 



        protected override void Initialize()
        {


        }

        public override void Destroy()
        {
            base.Destroy();
        }

       
    }
	[Serialized]
    [RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(SolidGroundComponent))]  
    public partial class Wb1x3Object : 
        WorldObject,    
        IRepresentsItem
    {
        public override LocString DisplayName { get { return Localizer.DoStr("Wooden Bracers 1x3"); } } 
		public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;

        public virtual Type RepresentedItemType { get { return typeof(Wb1x3Item); } } 



        protected override void Initialize()
        {


        }

        public override void Destroy()
        {
            base.Destroy();
        }
       
    }
	[Serialized]
	[RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(SolidGroundComponent))]  
    public partial class Wb1x5Object : 
        WorldObject,    
        IRepresentsItem
    {
        public override LocString DisplayName { get { return Localizer.DoStr("Wooden Bracers 1x5"); } } 
		public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;

        public virtual Type RepresentedItemType { get { return typeof(Wb1x5Item); } } 



        protected override void Initialize()
        {


        }

        public override void Destroy()
        {
            base.Destroy();
        }

       
    }
	[Serialized]
	[RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(SolidGroundComponent))]  
    public partial class Wb3x3Object : 
        WorldObject,    
        IRepresentsItem
    {
        public override LocString DisplayName { get { return Localizer.DoStr("Wooden Bracers 3x3"); } } 
		public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;

        public virtual Type RepresentedItemType { get { return typeof(Wb3x3Item); } } 



        protected override void Initialize()
        {


        }

        public override void Destroy()
        {
            base.Destroy();
        }

       
    }
	[Serialized]
	[RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(SolidGroundComponent))]  
    public partial class Wb3x5Object : 
        WorldObject,    
        IRepresentsItem
    {
        public override LocString DisplayName { get { return Localizer.DoStr("Wooden Bracers 3x5"); } } 
		public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;

        public virtual Type RepresentedItemType { get { return typeof(Wb3x5Item); } } 



        protected override void Initialize()
        {


        }

        public override void Destroy()
        {
            base.Destroy();
        }

       
    }
    [Serialized]
    [LocDisplayName("1x2 Wooden Bracers")]
    public partial class Wb1x2Item :
        WorldObjectItem<Wb1x2Object> 
    {
        public override LocString DisplayDescription  { get { return Localizer.DoStr(""); } }

        static Wb1x2Item()
        {
            
        }

        

    }
    [Serialized]
    [LocDisplayName("1x3 Wooden Bracers")]
    public partial class Wb1x3Item :
        WorldObjectItem<Wb1x3Object> 
    {
        public override LocString DisplayDescription  { get { return Localizer.DoStr("A 1x3 Wooden Support structure."); } }

        static Wb1x3Item()
        {
            
        }

        

    }
	[Serialized]
    [LocDisplayName("1x5 Wooden Bracers")]
    [Category("Hidden"), Tag("NotInBrowser")] 
    public partial class Wb1x5Item :
        WorldObjectItem<Wb1x5Object> 
    {
        public override LocString DisplayDescription  { get { return Localizer.DoStr(""); } }

        static Wb1x5Item()
        {
            
        }

        

    }
	[Serialized]
    [LocDisplayName("3x3 Wooden Bracers")]
    [Category("Hidden"), Tag("NotInBrowser")] 
    public partial class Wb3x3Item :
        WorldObjectItem<Wb3x3Object> 
    {
        public override LocString DisplayDescription  { get { return Localizer.DoStr(""); } }

        static Wb3x3Item()
        {
            
        }

        

    }
	[Serialized]
    [LocDisplayName("3x5 Wooden Bracers")]
    [Category("Hidden"), Tag("NotInBrowser")] 
    public partial class Wb3x5Item :
        WorldObjectItem<Wb3x5Object> 
    {
        public override LocString DisplayDescription  { get { return Localizer.DoStr(""); } }

        static Wb3x5Item()
        {
            
        }

        

    }
}
